identifier: contact
type: Form
label: Contact
prototypeName: contact
renderingOptions:
  controllerAction: contactForm
  addQueryString: true
renderables:
  -
    identifier: page1
    type: Page
    renderables:
      -
        identifier: customerType
        type: Hidden
        defaultValue: consumer
      -
        identifier: contactRegion
        type: Hidden
        defaultValue: ''
      -
        identifier: contactCountry
        type: Hidden
        defaultValue: ''
      -
        identifier: fieldsetContent
        type: Fieldset
        renderables:
          -
            identifier: subject
            type: SingleSelect
            properties:
              fieldClassAttribute: form-select
              prependOptionLabel: true
              options:
                question: null
                request: null
                complaint: null
            validators:
              -
                identifier: NotEmpty
          -
            identifier: message
            type: Textarea
            properties:
              fluidAdditionalAttributes:
                placeholder: null
            defaultValue: ''
            validators:
              -
                identifier: NotEmpty
      -
        identifier: fieldsetPersonal
        type: Fieldset
        renderables:
          -
            identifier: salutation
            type: SingleSelect
            properties:
              fieldClassAttribute: form-select
              options:
                male: null
                female: null
            validators:
              -
                identifier: NotEmpty
            variants:
              -
                identifier: disable-salutation-finland
                condition: 'formRuntime["contactCountry"] == "13"'
                renderingOptions:
                  enabled: false
              -
                identifier: disable-salutation-sweden
                condition: 'formRuntime["contactCountry"] == "38"'
                renderingOptions:
                  enabled: false
          -
            identifier: firstName
            type: Text
            validators:
              -
                identifier: NotEmpty
          -
            identifier: lastName
            type: Text
            validators:
              -
                identifier: NotEmpty
          -
            identifier: email
            type: Text
            properties:
              type: email
            validators:
              -
                identifier: NotEmpty
              -
                identifier: EmailAddress
          -
            identifier: country
            type: SingleSelect
            properties:
              fieldClassAttribute: form-select
              prependOptionLabel: true
              options:
                AFG: null
                ALA: null
                ALB: null
                DZA: null
                ASM: null
                AND: null
                AGO: null
                AIA: null
                ATA: null
                ATG: null
                ARG: null
                ARM: null
                ABW: null
                AUS: null
                AUT: null
                AZE: null
                BHS: null
                BHR: null
                BGD: null
                BRB: null
                BLR: null
                BEL: null
                BLZ: null
                BEN: null
                BMU: null
                BTN: null
                BOL: null
                BES: null
                BIH: null
                BWA: null
                BVT: null
                BRA: null
                IOT: null
                BRN: null
                BGR: null
                BFA: null
                BDI: null
                KHM: null
                CMR: null
                CAN: null
                CPV: null
                CYM: null
                CAF: null
                TCD: null
                CHL: null
                CHN: null
                CXR: null
                CCK: null
                COL: null
                COM: null
                COG: null
                COD: null
                COK: null
                CRI: null
                CIV: null
                HRV: null
                CUB: null
                CUW: null
                CYP: null
                CZE: null
                DNK: null
                DJI: null
                DMA: null
                DOM: null
                ECU: null
                EGY: null
                SLV: null
                GNQ: null
                ERI: null
                EST: null
                ETH: null
                FLK: null
                FRO: null
                FJI: null
                FIN: null
                FRA: null
                GUF: null
                PYF: null
                ATF: null
                GAB: null
                GMB: null
                GEO: null
                DEU: null
                GHA: null
                GIB: null
                GRC: null
                GRL: null
                GRD: null
                GLP: null
                GUM: null
                GTM: null
                GGY: null
                GIN: null
                GNB: null
                GUY: null
                HTI: null
                HMD: null
                VAT: null
                HND: null
                HKG: null
                HUN: null
                ISL: null
                IND: null
                IDN: null
                IRN: null
                IRQ: null
                IRL: null
                IMN: null
                ISR: null
                ITA: null
                JAM: null
                JPN: null
                JEY: null
                JOR: null
                KAZ: null
                KEN: null
                KIR: null
                PRK: null
                KOR: null
                KWT: null
                KGZ: null
                LAO: null
                LVA: null
                LBN: null
                LSO: null
                LBR: null
                LBY: null
                LIE: null
                LTU: null
                LUX: null
                MAC: null
                MKD: null
                MDG: null
                MWI: null
                MYS: null
                MDV: null
                MLI: null
                MLT: null
                MHL: null
                MTQ: null
                MRT: null
                MUS: null
                MYT: null
                MEX: null
                FSM: null
                MDA: null
                MCO: null
                MNG: null
                MNE: null
                MSR: null
                MAR: null
                MOZ: null
                MMR: null
                NAM: null
                NRU: null
                NPL: null
                NLD: null
                NCL: null
                NZL: null
                NIC: null
                NER: null
                NGA: null
                NIU: null
                NFK: null
                MNP: null
                NOR: null
                OMN: null
                PAK: null
                PLW: null
                PSE: null
                PAN: null
                PNG: null
                PRY: null
                PER: null
                PHL: null
                PCN: null
                POL: null
                PRT: null
                PRI: null
                QAT: null
                REU: null
                ROU: null
                RUS: null
                RWA: null
                BLM: null
                SHN: null
                KNA: null
                LCA: null
                MAF: null
                SPM: null
                VCT: null
                WSM: null
                SMR: null
                STP: null
                SAU: null
                SEN: null
                SRB: null
                SYC: null
                SLE: null
                SGP: null
                SXM: null
                SVK: null
                SVN: null
                SLB: null
                SOM: null
                ZAF: null
                SGS: null
                SSD: null
                ESP: null
                LKA: null
                SDN: null
                SUR: null
                SJM: null
                SWZ: null
                SWE: null
                CHE: null
                SYR: null
                TWN: null
                TJK: null
                TZA: null
                THA: null
                TLS: null
                TGO: null
                TKL: null
                TON: null
                TTO: null
                TUN: null
                TUR: null
                TKM: null
                TCA: null
                TUV: null
                UGA: null
                UKR: null
                ARE: null
                GBR: null
                USA: null
                UMI: null
                URY: null
                UZB: null
                VUT: null
                VEN: null
                VNM: null
                VGB: null
                VIR: null
                WLF: null
                ESH: null
                YEM: null
                ZMB: null
                ZWE: null
            validators:
              -
                identifier: NotEmpty
      -
        identifier: privacy
        type: Checkbox
        renderingOptions:
          templateName: LinkedCheckbox
          translation:
            translationPath: 'LLL:EXT:drbeckmann_form/Resources/Private/Language/locallang.xlf:element.privacy.properties.label'
        validators:
          -
            identifier: NotEmpty
finishers:
  -
    identifier: EmailToReceiver
    options:
      subject: receiver
      senderAddress: 'kontakt@drbeckmanngroup.com'
      senderName: 'Dr. Beckmann Website'
      format: html
      templateRootPaths:
        10: 'EXT:drbeckmann_form/Resources/Private/Templates/Finishers/Email/Contact/'
      templateName: 'Receiver'
      replyToRecipients:
        - '{email}'
      recipients: {  }
  -
    identifier: EmailToSender
    options:
      subject: sender
      senderAddress: 'kontakt@drbeckmanngroup.com'
      senderName: 'Dr. Beckmann'
      format: html
      templateRootPaths:
        10: 'EXT:drbeckmann_form/Resources/Private/Templates/Finishers/Email/Contact/'
      templateName: 'Sender'
      recipients:
        '{email}': '{firstName} {lastName}'
  -
    identifier: Confirmation
